## python-pbcommand 0.2.17

=== Makefile ===
.PHONY: all clean install dev-install test doc
SHELL = /bin/bash -e

all: install

install:
	@which pip > /dev/null
	@pip freeze|grep 'pbcommand=='>/dev/null \
      && pip uninstall -y pbcommand \
      || echo -n ''
	@pip install ./

clean:
	rm -rf build/;\
	find . -name "*.egg-info" | xargs rm -rf;\
	find . -name "*.pyc" | xargs rm -f;\
	find . -name "*.err" | xargs rm -f;\
	find . -name "*.log" | xargs rm -f;\
	rm -rf dist;\
	rm -rf docs/_build

test:
	tox

doc:
	cd docs && make html

build-tool-contracts:
	python -m pbcommand.cli.examples.dev_app --emit-tool-contract > ./tests/data/dev_example_tool_contract.json
	python -m pbcommand.cli.examples.dev_txt_app --emit-tool-contract > ./tests/data/dev_example_dev_txt_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_gather_fasta_app --emit-tool-contract > ./tests/data/dev_gather_fasta_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_scatter_fasta_app --emit-tool-contract > ./tests/data/dev_scatter_fasta_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_quick_hello_world emit-tool-contracts -o ./tests/data

run-pep8:
	find pbcommand -name "*.py" -exec pep8 --ignore=E501,E265,E731,E402 {} \;

run-auto-pep8:
	find pbcommand -name "*.py" -exec autopep8 -i --ignore=E501,E265,E731,E402 {} \;

build-java-classes:
	avro-tools compile schema pbcommand/schemas java-classes/

extract-readme-snippets:
	rm -rf readme-snippet-*.py
	pandoc -t markdown README.md  | pandoc --filter ./extract-readme-snippets.py

=== debian/changelog ===
python-pbcommand (0.2.17-1) unstable; urgency=low

  * Imported Upstream version 0.2.17

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 27 Nov 2015 16:50:32 -0800

python-pbcommand (0.2.16-1) unstable; urgency=low

  * Initial release (Closes: #798872)

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 26 Oct 2015 00:47:23 -0700

=== debian/control ===
Source: python-pbcommand
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	python-all,
	python-setuptools,
	python-xmlbuilder,
	python-jsonschema,
	python-avro,
	python-numpy,
# For tests
	python-nose,
	python-pbcore
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/pbcommand
Vcs-Git: git://anonscm.debian.org/debian-med/python-pbcommand.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-pbcommand.git

Package: python-pbcommand
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-numpy
Recommends: python-pbcore
Description: common command-line interface for Pacific Biosciences analysis modules
 To integrate with the pbsmrtpipe workflow engine, one must to be able to
 generate a Tool Contract and to be able to run from a Resolved Tool Contract.
 A Tool Contract contains the metadata of the exe, such as the file types of
 inputs, outputs and options.
 There are two principal use cases, first wrapping/calling Python functions that
 have been defined in external Python packages, or scripts. Second, creating a
 CLI tool that supports emitting tool contracts, running resolved tool contracts
 and complete argparse-style CLI.

## python-pbcommand 0.3.22

=== Makefile ===
--- 
+++ 
@@ -33,10 +33,10 @@
 	python -m pbcommand.cli.examples.dev_quick_hello_world emit-tool-contracts -o ./tests/data
 
 run-pep8:
-	find pbcommand -name "*.py" -exec pep8 --ignore=E501,E265,E731,E402 {} \;
+	find pbcommand -name "*.py" -exec pep8 --ignore=E501,E265,E731,E402,W292 {} \;
 
 run-auto-pep8:
-	find pbcommand -name "*.py" -exec autopep8 -i --ignore=E501,E265,E731,E402 {} \;
+	find pbcommand -name "*.py" -exec autopep8 -i --ignore=E501,E265,E731,E402,W292 {} \;
 
 build-java-classes:
 	avro-tools compile schema pbcommand/schemas java-classes/

=== debian/changelog ===
python-pbcommand (0.3.22-2) unstable; urgency=medium

  * Fix installation of manpage.

 -- Afif Elghraoui <afif@debian.org>  Sun, 24 Apr 2016 11:31:01 -0700

python-pbcommand (0.3.22-1) unstable; urgency=medium

  * Imported Upstream version 0.3.22
  * Bump copyright years
  * Bump standards version to 3.9.8
  * Use encrypted protocols for VCS

 -- Afif Elghraoui <afif@debian.org>  Sat, 23 Apr 2016 20:08:10 -0700

## python-pbcommand 0.5.3

=== Makefile ===
.PHONY: all clean install dev-install test doc
SHELL = /bin/bash -e

all: install

install:
	@which pip > /dev/null
	@pip freeze|grep 'pbcommand=='>/dev/null \
      && pip uninstall -y pbcommand \
      || echo -n ''
	@pip install ./

clean:
	rm -rf build/;\
	find . -name "*.egg-info" | xargs rm -rf;\
	find . -name "*.pyc" | xargs rm -f;\
	find . -name "*.err" | xargs rm -f;\
	find . -name "*.log" | xargs rm -f;\
	rm -rf dist;\
	rm -rf docs/_build

test:
	nosetests -s --verbose --with-xunit --logging-config log_nose.cfg tests/test_*.py

doc:
	cd docs && make html

build-tool-contracts:
	python -m pbcommand.cli.examples.dev_app --emit-tool-contract > ./tests/data/tool-contracts/pbcommand.tasks.dev_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_app --emit-tool-contract > ./tests/data/tool-contracts/dev_example_tool_contract.json
	python -m pbcommand.cli.examples.dev_txt_app --emit-tool-contract > ./tests/data/tool-contracts/dev_example_dev_txt_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_mixed_app --emit-tool-contract > ./tests/data/tool-contracts/dev_mixed_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_gather_fasta_app --emit-tool-contract > ./tests/data/tool-contracts/dev_gather_fasta_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_scatter_fasta_app --emit-tool-contract > ./tests/data/tool-contracts/dev_scatter_fasta_app_tool_contract.json
	python -m pbcommand.cli.examples.dev_quick_hello_world emit-tool-contracts -o ./tests/data/tool-contracts

run-pep8:
	find pbcommand -name "*.py" -exec pep8 --ignore=E501,E265,E731,E402,W292 {} \;

run-auto-pep8:
	find pbcommand -name "*.py" -exec autopep8 -i --ignore=E501,E265,E731,E402,W292 {} \;

build-java-classes:
	avro-tools compile schema pbcommand/schemas java-classes/

extract-readme-snippets:
	rm -rf readme-snippet-*.py
	pandoc -t markdown README.md  | pandoc --filter ./extract-readme-snippets.py

build-avro-schema-docs:
	# this requires nodejs + https://github.com/ept/avrodoc
	avrodoc pbcommand/schemas/*.avsc > index.html

=== debian/changelog ===
python-pbcommand (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 15 Jan 2017 10:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@ghraoui.name>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
 	dh-python,
@@ -12,13 +12,15 @@
 	python-jsonschema,
 	python-avro,
 	python-numpy,
+	python-requests,
+	python-iso8601,
 # For tests
 	python-nose,
 	python-pbcore
-Standards-Version: 3.9.6
-Homepage: https://github.com/PacificBiosciences/pbcommand
-Vcs-Git: git://anonscm.debian.org/debian-med/python-pbcommand.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/python-pbcommand.git
+Standards-Version: 3.9.8
+Homepage: https://pbcommand.readthedocs.org/en/latest/
+Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pbcommand.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pbcommand.git
 
 Package: python-pbcommand
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=pbcommand

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) \
	nosetests -s --verbose --logging-config log_nose.cfg --where=tests

=== debian/tests/control ===
Test-Command: nosetests -s --verbose --logging-config log_nose.cfg --where=tests
Depends: @, python-nose
Restrictions: allow-stderr, needs-recommends

## python-pbcommand 1.1.1

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,13 @@
 	find . -name "*.err" | xargs rm -f;\
 	find . -name "*.log" | xargs rm -f;\
 	rm -rf dist;\
-	rm -rf docs/_build
+	rm -rf docs/build
+	rm -f FileTypes.h
 
-test:
+test-nose:
 	nosetests -s --verbose --with-xunit --logging-config log_nose.cfg tests/test_*.py
+
+test: test-nose run-pylint run-pep8
 
 doc:
 	cd docs && make html
@@ -34,8 +37,12 @@
 	python -m pbcommand.cli.examples.dev_scatter_fasta_app --emit-tool-contract > ./tests/data/tool-contracts/dev_scatter_fasta_app_tool_contract.json
 	python -m pbcommand.cli.examples.dev_quick_hello_world emit-tool-contracts -o ./tests/data/tool-contracts
 
+run-pylint:
+	pylint --errors-only pbcommand
+
 run-pep8:
-	find pbcommand -name "*.py" -exec pep8 --ignore=E501,E265,E731,E402,W292 {} \;
+	# use xargs to propagate exit code
+	find pbcommand -name "*.py" | xargs pep8 --ignore=E501,E265,E731,E402,W292
 
 run-auto-pep8:
 	find pbcommand -name "*.py" -exec autopep8 -i --ignore=E501,E265,E731,E402,W292 {} \;
@@ -50,3 +57,6 @@
 build-avro-schema-docs:
 	# this requires nodejs + https://github.com/ept/avrodoc
 	avrodoc pbcommand/schemas/*.avsc > index.html
+
+cpp-header:
+	python extras/make_cpp_file_types_header.py FileTypes.h

=== debian/changelog ===
python-pbcommand (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Replace needs-recommends in test restrictions by recommended packages

 -- Andreas Tille <tille@debian.org>  Wed, 31 Oct 2018 19:08:15 +0100

=== debian/control ===
Source: python-pbcommand
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all,
               python-setuptools,
               python-xmlbuilder,
               python-jsonschema,
               python-avro,
               python-numpy,
               python-requests,
               python-iso8601,
# For tests
               python-nose,
               python-pbcore
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/python-pbcommand
Vcs-Git: https://salsa.debian.org/med-team/python-pbcommand.git
Homepage: https://pbcommand.readthedocs.org/en/latest/

Package: python-pbcommand
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy
Recommends: python-pbcore
Description: common command-line interface for Pacific Biosciences analysis modules
 To integrate with the pbsmrtpipe workflow engine, one must to be able to
 generate a Tool Contract and to be able to run from a Resolved Tool Contract.
 A Tool Contract contains the metadata of the exe, such as the file types of
 inputs, outputs and options.
 There are two principal use cases, first wrapping/calling Python functions that
 have been defined in external Python packages, or scripts. Second, creating a
 CLI tool that supports emitting tool contracts, running resolved tool contracts
 and complete argparse-style CLI.

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,7 @@
 	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR) \
 	nosetests -s --verbose --logging-config log_nose.cfg --where=tests
+endif

=== debian/tests/control ===
Test-Command: nosetests -s --verbose --logging-config log_nose.cfg --where=tests
Depends: @, python-nose, python-pbcore
Restrictions: allow-stderr

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/python-pbcommand-$1.tar.gz/" \
         https://github.com/PacificBiosciences/pbcommand/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-pbcommand 1.1.1+git20191122.ec024c3

=== debian/changelog ===
python-pbcommand (1.1.1+git20191122.ec024c3-3) unstable; urgency=medium

  * Really Breaks+Provides+Replaces: python-pbcommand
    Closes: #946800

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2019 09:10:31 +0100

python-pbcommand (1.1.1+git20191122.ec024c3-2) unstable; urgency=medium

  * Breaks+Provides+Replaces: python-pbcommand
    Closes: #946800

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2019 07:46:37 +0100

python-pbcommand (1.1.1+git20191122.ec024c3-1) unstable; urgency=medium

  * New upstream version Git checkout
    Drop Python2 support and switch to Python3
    Closes: #932543, #938008
  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Make sure some valid version of pbcommand is returned by pkg_resources
  * Rewrite autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2019 15:17:18 +0100

=== debian/control ===
Source: python-pbcommand
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-jsonschema,
               python3-avro,
               python3-numpy,
               python3-requests,
               python3-iso8601,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pbcore <!nocheck>
Breaks: python-pbcommand
Provides: python-pbcommand
Replaces: python-pbcommand
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/python-pbcommand
Vcs-Git: https://salsa.debian.org/med-team/python-pbcommand.git
Homepage: https://pbcommand.readthedocs.org/en/latest/

Package: python3-pbcommand
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy
Recommends: python3-pbcore
Breaks: python-pbcommand (<< 1.1.1+git20191122.ec024c3)
Provides: python-pbcommand
Replaces: python-pbcommand
Description: common command-line interface for Pacific Biosciences analysis modules
 To integrate with the pbsmrtpipe workflow engine, one must to be able to
 generate a Tool Contract and to be able to run from a Resolved Tool Contract.
 A Tool Contract contains the metadata of the exe, such as the file types of
 inputs, outputs and options.
 There are two principal use cases, first wrapping/calling Python functions that
 have been defined in external Python 3 packages, or scripts. Second, creating a
 CLI tool that supports emitting tool contracts, running resolved tool contracts
 and complete argparse-style CLI.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=pbcommand

%:
	LC_ALL=C.UTF-8 dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian \( -name .coverage -o -name coverage.xml -o -name nosetests.xml \) -delete

## python-pbcommand 1.1.1+git20200506.d345551

=== debian/changelog ===
python-pbcommand (1.1.1+git20200506.d345551-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 May 2020 21:06:33 +0200

python-pbcommand (1.1.1+git20200313.2a40099-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Added ref to bioconda package

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Mar 2020 19:40:12 +0100

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,11 @@
 Breaks: python-pbcommand
 Provides: python-pbcommand
 Replaces: python-pbcommand
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcommand
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcommand.git
 Homepage: https://pbcommand.readthedocs.org/en/latest/
+Rules-Requires-Root: no
 
 Package: python3-pbcommand
 Architecture: all

=== debian/watch ===
version=4

#opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/python-pbcommand-$1.tar.gz/" \
#         https://github.com/PacificBiosciences/pbcommand/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# Upstream is not tagging releases regularly - thus we use mode=git
# Upstream is now actually tagging releases - but there is no official Python3 release yet
opts="mode=git,pretty=1.1.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbcommand.git HEAD

## python-pbcommand 2.1.1%2Bgit20201023.cc0ed3d

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pbcommand.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pbcommand.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pbcommand"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pbcommand"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-pbcommand 2.1.1%2Bgit20220616.3f2e6c2

=== debian/changelog ===
python-pbcommand (2.1.1+git20220616.3f2e6c2-2) unstable; urgency=medium

  * Team upload.
  * Add python3-avro to Depends to fix autopkgtest.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 26 Aug 2022 13:40:40 +0530

python-pbcommand (2.1.1+git20220616.3f2e6c2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Force TMPDIR in autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jul 2022 12:04:49 +0200

python-pbcommand (2.1.1+git20201023.cc0ed3d-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove Replaces on python3-pbcommand that duplicates source.

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 Dec 2020 16:42:06 +0100

python-pbcommand (1.1.1+git20201023.cc0ed3d-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Provides on python3-pbcommand that duplicates source.

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 Dec 2020 16:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -19,7 +19,7 @@
 Breaks: python-pbcommand
 Provides: python-pbcommand
 Replaces: python-pbcommand
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcommand
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcommand.git
 Homepage: https://pbcommand.readthedocs.org/en/latest/
@@ -29,11 +29,10 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-avro,
          python3-numpy
 Recommends: python3-pbcore
 Breaks: python-pbcommand (<< 1.1.1+git20191122.ec024c3)
-Provides: python-pbcommand
-Replaces: python-pbcommand
 Description: common command-line interface for Pacific Biosciences analysis modules
  To integrate with the pbsmrtpipe workflow engine, one must to be able to
  generate a Tool Contract and to be able to run from a Resolved Tool Contract.

## python-pbcommand 2.1.1+git20201023.cc0ed3d

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Breaks: python-pbcommand
 Provides: python-pbcommand
 Replaces: python-pbcommand
-Standards-Version: 4.6.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcommand
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcommand.git
 Homepage: https://pbcommand.readthedocs.org/en/latest/
@@ -29,7 +29,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-avro,
          python3-numpy
 Recommends: python3-pbcore
 Breaks: python-pbcommand (<< 1.1.1+git20191122.ec024c3)

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 override_dh_install:
 	dh_install
 	find debian \( -name .coverage -o -name coverage.xml -o -name nosetests.xml \) -delete
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf .pytest_cache pbcommand.egg-info

## python-pbcommand 2.1.1+git20220616.3f2e6c2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 .PHONY: all clean install dev-install test doc
 SHELL = /bin/bash -e
+WHEELHOUSE?=./wheelhouse
 
 all: install
 
@@ -22,8 +23,10 @@
 
 test-nose:
 	nosetests -s --verbose --with-xunit --logging-config log_nose.cfg tests/test_*.py
+test-pytest:
+	pytest -v --durations=12 --junitxml=nosetests.xml --cov=./pbcommand --cov-report=xml:coverage.xml tests/test_*.py
 
-test: test-nose run-pylint run-pep8
+test: test-pytest run-pylint run-pep8
 
 doc:
 	cd docs && make html
@@ -52,7 +55,7 @@
 
 extract-readme-snippets:
 	rm -rf readme-snippet-*.py
-	pandoc -t markdown README.md  | pandoc --filter ./extract-readme-snippets.py
+	pandoc -t markdown README.md  | pandoc --filter ./bin/extract-readme-snippets.py
 
 build-avro-schema-docs:
 	# this requires nodejs + https://github.com/ept/avrodoc
@@ -60,3 +63,8 @@
 
 cpp-header:
 	python extras/make_cpp_file_types_header.py FileTypes.h
+
+wheel:
+	which pip
+	pip wheel -v --wheel-dir=${WHEELHOUSE} --no-deps .
+	ls -larth ${WHEELHOUSE}

=== debian/changelog ===
python-pbcommand (2.1.1+git20220616.3f2e6c2-3) unstable; urgency=medium

  * Team upload.
  * d/tests/control: skip on unavailable architectures like s390x.
  * d/control: removed non-sensical Breaks/Provides/Replaces fields from
    the source package stanza
  * d/patches/fix_version: this git snapshot reports itself as 2.4.0
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Mar 2024 18:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-jsonschema,
@@ -16,10 +16,7 @@
                python3-pytest-cov <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pbcore <!nocheck>
-Breaks: python-pbcommand
-Provides: python-pbcommand
-Replaces: python-pbcommand
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcommand
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcommand.git
 Homepage: https://pbcommand.readthedocs.org/en/latest/
@@ -29,9 +26,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-avro,
          python3-numpy
 Recommends: python3-pbcore
-Breaks: python-pbcommand (<< 1.1.1+git20191122.ec024c3)
 Description: common command-line interface for Pacific Biosciences analysis modules
  To integrate with the pbsmrtpipe workflow engine, one must to be able to
  generate a Tool Contract and to be able to run from a Resolved Tool Contract.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-pytest-xdist, python3-pytest-cov, python3-pbcore
Restrictions: allow-stderr, skip-not-installable

## python-pbcommand 2.1.1+git20231020.28d1635

=== debian/changelog ===
python-pbcommand (2.1.1+git20231020.28d1635-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild against newer dh-python that picks up python3-pytz

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 11:15:55 +0200

python-pbcommand (2.1.1+git20231020.28d1635-1) unstable; urgency=medium

  * New upstream version
  * Remove usages of pkg_resources (Thanks to Vladimir Petko)
    Closes: #1093231 (LP: #2095045).
  * d/t/control: add smoke test.
  * Revert explicit dependency from python3-pkg-resources
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: python3-pytz

 -- Andreas Tille <tille@debian.org>  Sun, 16 Feb 2025 14:50:51 +0100

python-pbcommand (2.1.1+git20220616.3f2e6c2-4) unstable; urgency=medium

  * Team upload.
  * Add explicit dependency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 03:02:48 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-xdist <!nocheck>,
-               python3-pbcore <!nocheck>
-Standards-Version: 4.6.2
+               python3-pbcore <!nocheck>,
+               python3-pytz <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pbcommand
 Vcs-Git: https://salsa.debian.org/med-team/python-pbcommand.git
 Homepage: https://pbcommand.readthedocs.org/en/latest/
-Rules-Requires-Root: no
 
 Package: python3-pbcommand
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=pbcommand

%:
	LC_ALL=C.UTF-8 dh $@ --buildsystem=pybuild

execute_after_dh_install:
	find debian \( -name .coverage -o -name coverage.xml -o -name nosetests.xml \) -delete

execute_after_dh_auto_clean:
	rm -rf .pytest_cache pbcommand.egg-info

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-pytest-xdist, python3-pytest-cov, python3-pbcore
Restrictions: allow-stderr, skip-not-installable

Test-Command: python3 -c "import pbcommand"
Depends: @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4

#opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/python-pbcommand-$1.tar.gz/" \
#         https://github.com/PacificBiosciences/pbcommand/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# Upstream is not tagging releases regularly - thus we use mode=git
# Upstream is now actually tagging releases
opts="mode=git,pretty=2.1.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbcommand.git HEAD
